https://bugs.gentoo.org/830883
https://github.com/OSGeo/gdal/commit/3f528f2b5f9244698c89d31b74155765538ef362

From: Even Rouault <even.rouault@spatialys.com>
Date: Sat, 8 Jan 2022 14:25:09 +0100
Subject: [PATCH] frmts/pdf/GNUmakefile: force c++17 with Poppler > 21 (fixes
 #5071)

--- a/frmts/pdf/GNUmakefile
+++ b/frmts/pdf/GNUmakefile
@@ -11,6 +11,12 @@ LD_SHARED = $(LD) -bundle
 endif
 
 ifeq ($(HAVE_POPPLER),yes)
+# Poppler 2022.1 requires c++17
+ifeq ($(shell test $(POPPLER_MAJOR_VERSION) -gt 21; echo $$?),0)
+CXX := $(subst -std=c++11,,${CXX})
+CXX := $(subst -std=c++14,,${CXX})
+CXX := ${CXX} -std=c++17
+endif
 CPPFLAGS +=  -DHAVE_POPPLER -DPOPPLER_MAJOR_VERSION=$(POPPLER_MAJOR_VERSION) -DPOPPLER_MINOR_VERSION=$(POPPLER_MINOR_VERSION)
 endif
 
